Subject: Re: bug#68940: 29.2; Random crashes in face for char / font

From: Robert Vojta <[email-masked]>
Date: Fri, 09 Feb 2024 08:22:53 +0100

> Hm. I'm quite out of my comfort zone here, regarding fontsets and fonts,
> but it looks to me as if we're acting on a, for some reason, invalid
> face, which would come from
>
>   face_id = FACE_FOR_CHAR (f, FACE_FROM_ID (f, face_id), c, pos, Qnil);
>
> in Finternal_char_font. Maybe one could take a look at *f->face_cache here?

Thanks for these pointers! This is an unknown territory for me, but I'll take
some time to read the code, ask our font experts, and try to figure out what's
going on here.